ipcget_new
Prev | IPC utilities | Next

## Name

ipcget_new — create a new ipc object

## Synopsis

`int ipcget_new (` | struct ipc_namespace * | ns,
| struct ipc_ids * | ids,
| struct ipc_ops * | ops,
| struct ipc_params * | params`)`;

## Arguments

`ns`

  namespace

`ids`

  IPC identifer set

`ops`

  the actual creation routine to call

`params`

  its parameters

## Description

This routine is called by sys_msgget, `sys_semget` and `sys_shmget` when the key is IPC_PRIVATE.

Prev | Up | Next
ipc_addid | Home | ipc_check_perms